# BlAmazonApi.AdvertisingApi

All URIs are relative to *http://104.198.83.158:80*

Method | HTTP request | Description
------------- | ------------- | -------------
[**getAdvertisingBrowseNode**](AdvertisingApi.md#getAdvertisingBrowseNode) | **GET** /advertising/browseNodes/{nodeId} | Get browse node hierarchy from Amazon
[**getAdvertisingBrowseNodeTopSellers**](AdvertisingApi.md#getAdvertisingBrowseNodeTopSellers) | **GET** /advertising/browseNodes/{nodeId}/topSellers | Get 10 top sellers within a specified browse node from Amazon
[**getAdvertisingStatus**](AdvertisingApi.md#getAdvertisingStatus) | **GET** /advertising/status | Get Amazon Product Advertising API status


<a name="getAdvertisingBrowseNode"></a>
# **getAdvertisingBrowseNode**
> GetAdvertisingBrowseNodesResponse getAdvertisingBrowseNode(nodeId)

Get browse node hierarchy from Amazon

Return BrowseNodes Hierarchy

### Example
```javascript
var BlAmazonApi = require('bl_amazon_api');

var apiInstance = new BlAmazonApi.AdvertisingApi();

var nodeId = "nodeId_example"; // String | 


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.getAdvertisingBrowseNode(nodeId, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **nodeId** | **String**|  | 

### Return type

[**GetAdvertisingBrowseNodesResponse**](GetAdvertisingBrowseNodesResponse.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="getAdvertisingBrowseNodeTopSellers"></a>
# **getAdvertisingBrowseNodeTopSellers**
> GetAdvertisingBrowseNodesTopSellersResponse getAdvertisingBrowseNodeTopSellers(nodeId)

Get 10 top sellers within a specified browse node from Amazon

Return 10 top sellers

### Example
```javascript
var BlAmazonApi = require('bl_amazon_api');

var apiInstance = new BlAmazonApi.AdvertisingApi();

var nodeId = "nodeId_example"; // String | 


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.getAdvertisingBrowseNodeTopSellers(nodeId, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **nodeId** | **String**|  | 

### Return type

[**GetAdvertisingBrowseNodesTopSellersResponse**](GetAdvertisingBrowseNodesTopSellersResponse.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="getAdvertisingStatus"></a>
# **getAdvertisingStatus**
> GetAdvertisingStatusResponse getAdvertisingStatus()

Get Amazon Product Advertising API status

Returns Amazon Product Advertising API status (GREEN/YELLOW/RED)

### Example
```javascript
var BlAmazonApi = require('bl_amazon_api');

var apiInstance = new BlAmazonApi.AdvertisingApi();

var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.getAdvertisingStatus(callback);
```

### Parameters
This endpoint does not need any parameter.

### Return type

[**GetAdvertisingStatusResponse**](GetAdvertisingStatusResponse.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

