# BlAmazonApi.MwsApi

All URIs are relative to *http://104.198.83.158:80*

Method | HTTP request | Description
------------- | ------------- | -------------
[**getMwsFeedsSubmissions**](MwsApi.md#getMwsFeedsSubmissions) | **GET** /mws/feeds/submissions | Get a list of feed submissions submitted
[**getMwsFeedsSubmissionsResult**](MwsApi.md#getMwsFeedsSubmissionsResult) | **GET** /mws/feeds/submissions/{feedSubmissionId}/result | Get the feed processing report
[**getMwsStatus**](MwsApi.md#getMwsStatus) | **GET** /mws/status | Get Amazon MWS API status
[**postSubmitFeed**](MwsApi.md#postSubmitFeed) | **POST** /mws/feeds/submit | Post feed with a flat file


<a name="getMwsFeedsSubmissions"></a>
# **getMwsFeedsSubmissions**
> GetMwsFeedsSubmissionsResponse getMwsFeedsSubmissions(opts)

Get a list of feed submissions submitted

Returns a list of all feed submissions submitted in the previous 90 days

### Example
```javascript
var BlAmazonApi = require('bl_amazon_api');

var apiInstance = new BlAmazonApi.MwsApi();

var opts = { 
  'feedSubmissionIds': ["feedSubmissionIds_example"], // [String] | 
  'feedTypes': ["feedTypes_example"], // [String] | 
  'processingStatuses': ["processingStatuses_example"], // [String] | 
  'maxCount': 56, // Number | 
  'nextToken': "nextToken_example" // String | 
};

var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.getMwsFeedsSubmissions(opts, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **feedSubmissionIds** | [**[String]**](String.md)|  | [optional] 
 **feedTypes** | [**[String]**](String.md)|  | [optional] 
 **processingStatuses** | [**[String]**](String.md)|  | [optional] 
 **maxCount** | **Number**|  | [optional] 
 **nextToken** | **String**|  | [optional] 

### Return type

[**GetMwsFeedsSubmissionsResponse**](GetMwsFeedsSubmissionsResponse.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="getMwsFeedsSubmissionsResult"></a>
# **getMwsFeedsSubmissionsResult**
> GetMwsFeedsSubmissionsResultResponse getMwsFeedsSubmissionsResult(feedSubmissionId)

Get the feed processing report

Returns the feed processing report and the Content-MD5 header

### Example
```javascript
var BlAmazonApi = require('bl_amazon_api');

var apiInstance = new BlAmazonApi.MwsApi();

var feedSubmissionId = "feedSubmissionId_example"; // String | 


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.getMwsFeedsSubmissionsResult(feedSubmissionId, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **feedSubmissionId** | **String**|  | 

### Return type

[**GetMwsFeedsSubmissionsResultResponse**](GetMwsFeedsSubmissionsResultResponse.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="getMwsStatus"></a>
# **getMwsStatus**
> GetMwsStatusResponse getMwsStatus()

Get Amazon MWS API status

Return Amazon MWS API status (GREEN/YELLOW/RED)

### Example
```javascript
var BlAmazonApi = require('bl_amazon_api');

var apiInstance = new BlAmazonApi.MwsApi();

var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.getMwsStatus(callback);
```

### Parameters
This endpoint does not need any parameter.

### Return type

[**GetMwsStatusResponse**](GetMwsStatusResponse.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="postSubmitFeed"></a>
# **postSubmitFeed**
> PostSubmitFeedResponse postSubmitFeed(file)

Post feed with a flat file

Uploads a feed for processing by Amazon MWS

### Example
```javascript
var BlAmazonApi = require('bl_amazon_api');

var apiInstance = new BlAmazonApi.MwsApi();

var file = "/path/to/file.txt"; // File | file: xxx.txt / content_type: text/tab-separated-values


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.postSubmitFeed(file, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **file** | **File**| file: xxx.txt / content_type: text/tab-separated-values | 

### Return type

[**PostSubmitFeedResponse**](PostSubmitFeedResponse.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: multipart/form-data
 - **Accept**: application/json

