/**
 * bl-amazon-api
 * This is an API documentation for the Bluehack Amazon Service.
 *
 * OpenAPI spec version: 0.0.2
 * Contact: master@bluehack.net
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.3.1
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/GetAdvertisingBrowseNodesResponse', 'model/GetAdvertisingBrowseNodesTopSellersResponse', 'model/GetAdvertisingStatusResponse'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('../model/GetAdvertisingBrowseNodesResponse'), require('../model/GetAdvertisingBrowseNodesTopSellersResponse'), require('../model/GetAdvertisingStatusResponse'));
  } else {
    // Browser globals (root is window)
    if (!root.BlAmazonApi) {
      root.BlAmazonApi = {};
    }
    root.BlAmazonApi.AdvertisingApi = factory(root.BlAmazonApi.ApiClient, root.BlAmazonApi.GetAdvertisingBrowseNodesResponse, root.BlAmazonApi.GetAdvertisingBrowseNodesTopSellersResponse, root.BlAmazonApi.GetAdvertisingStatusResponse);
  }
}(this, function(ApiClient, GetAdvertisingBrowseNodesResponse, GetAdvertisingBrowseNodesTopSellersResponse, GetAdvertisingStatusResponse) {
  'use strict';

  /**
   * Advertising service.
   * @module api/AdvertisingApi
   * @version 0.0.2
   */

  /**
   * Constructs a new AdvertisingApi. 
   * @alias module:api/AdvertisingApi
   * @class
   * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
   * default to {@link module:ApiClient#instance} if unspecified.
   */
  var exports = function(apiClient) {
    this.apiClient = apiClient || ApiClient.instance;


    /**
     * Callback function to receive the result of the getAdvertisingBrowseNode operation.
     * @callback module:api/AdvertisingApi~getAdvertisingBrowseNodeCallback
     * @param {String} error Error message, if any.
     * @param {module:model/GetAdvertisingBrowseNodesResponse} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Get browse node hierarchy from Amazon
     * Return BrowseNodes Hierarchy
     * @param {String} nodeId 
     * @param {module:api/AdvertisingApi~getAdvertisingBrowseNodeCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/GetAdvertisingBrowseNodesResponse}
     */
    this.getAdvertisingBrowseNode = function(nodeId, callback) {
      var postBody = null;

      // verify the required parameter 'nodeId' is set
      if (nodeId === undefined || nodeId === null) {
        throw new Error("Missing the required parameter 'nodeId' when calling getAdvertisingBrowseNode");
      }


      var pathParams = {
        'nodeId': nodeId
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = [];
      var accepts = ['application/json'];
      var returnType = GetAdvertisingBrowseNodesResponse;

      return this.apiClient.callApi(
        '/advertising/browseNodes/{nodeId}', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the getAdvertisingBrowseNodeTopSellers operation.
     * @callback module:api/AdvertisingApi~getAdvertisingBrowseNodeTopSellersCallback
     * @param {String} error Error message, if any.
     * @param {module:model/GetAdvertisingBrowseNodesTopSellersResponse} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Get 10 top sellers within a specified browse node from Amazon
     * Return 10 top sellers
     * @param {String} nodeId 
     * @param {module:api/AdvertisingApi~getAdvertisingBrowseNodeTopSellersCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/GetAdvertisingBrowseNodesTopSellersResponse}
     */
    this.getAdvertisingBrowseNodeTopSellers = function(nodeId, callback) {
      var postBody = null;

      // verify the required parameter 'nodeId' is set
      if (nodeId === undefined || nodeId === null) {
        throw new Error("Missing the required parameter 'nodeId' when calling getAdvertisingBrowseNodeTopSellers");
      }


      var pathParams = {
        'nodeId': nodeId
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = [];
      var accepts = ['application/json'];
      var returnType = GetAdvertisingBrowseNodesTopSellersResponse;

      return this.apiClient.callApi(
        '/advertising/browseNodes/{nodeId}/topSellers', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the getAdvertisingStatus operation.
     * @callback module:api/AdvertisingApi~getAdvertisingStatusCallback
     * @param {String} error Error message, if any.
     * @param {module:model/GetAdvertisingStatusResponse} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Get Amazon Product Advertising API status
     * Returns Amazon Product Advertising API status (GREEN/YELLOW/RED)
     * @param {module:api/AdvertisingApi~getAdvertisingStatusCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/GetAdvertisingStatusResponse}
     */
    this.getAdvertisingStatus = function(callback) {
      var postBody = null;


      var pathParams = {
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = [];
      var accepts = ['application/json'];
      var returnType = GetAdvertisingStatusResponse;

      return this.apiClient.callApi(
        '/advertising/status', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }
  };

  return exports;
}));
