/**
 * bl-amazon-api
 * This is an API documentation for the Bluehack Amazon Service.
 *
 * OpenAPI spec version: 0.0.2
 * Contact: master@bluehack.net
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.3.1
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/GetMwsFeedsSubmissionsResponse', 'model/GetMwsFeedsSubmissionsResultResponse', 'model/GetMwsStatusResponse', 'model/PostSubmitFeedResponse'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('../model/GetMwsFeedsSubmissionsResponse'), require('../model/GetMwsFeedsSubmissionsResultResponse'), require('../model/GetMwsStatusResponse'), require('../model/PostSubmitFeedResponse'));
  } else {
    // Browser globals (root is window)
    if (!root.BlAmazonApi) {
      root.BlAmazonApi = {};
    }
    root.BlAmazonApi.MwsApi = factory(root.BlAmazonApi.ApiClient, root.BlAmazonApi.GetMwsFeedsSubmissionsResponse, root.BlAmazonApi.GetMwsFeedsSubmissionsResultResponse, root.BlAmazonApi.GetMwsStatusResponse, root.BlAmazonApi.PostSubmitFeedResponse);
  }
}(this, function(ApiClient, GetMwsFeedsSubmissionsResponse, GetMwsFeedsSubmissionsResultResponse, GetMwsStatusResponse, PostSubmitFeedResponse) {
  'use strict';

  /**
   * Mws service.
   * @module api/MwsApi
   * @version 0.0.2
   */

  /**
   * Constructs a new MwsApi. 
   * @alias module:api/MwsApi
   * @class
   * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
   * default to {@link module:ApiClient#instance} if unspecified.
   */
  var exports = function(apiClient) {
    this.apiClient = apiClient || ApiClient.instance;


    /**
     * Callback function to receive the result of the getMwsFeedsSubmissions operation.
     * @callback module:api/MwsApi~getMwsFeedsSubmissionsCallback
     * @param {String} error Error message, if any.
     * @param {module:model/GetMwsFeedsSubmissionsResponse} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Get a list of feed submissions submitted
     * Returns a list of all feed submissions submitted in the previous 90 days
     * @param {Object} opts Optional parameters
     * @param {Array.<String>} opts.feedSubmissionIds 
     * @param {Array.<String>} opts.feedTypes 
     * @param {Array.<String>} opts.processingStatuses 
     * @param {Number} opts.maxCount 
     * @param {String} opts.nextToken 
     * @param {module:api/MwsApi~getMwsFeedsSubmissionsCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/GetMwsFeedsSubmissionsResponse}
     */
    this.getMwsFeedsSubmissions = function(opts, callback) {
      opts = opts || {};
      var postBody = null;


      var pathParams = {
      };
      var queryParams = {
        'maxCount': opts['maxCount'],
        'nextToken': opts['nextToken'],
      };
      var collectionQueryParams = {
        'feedSubmissionIds': {
          value: opts['feedSubmissionIds'],
          collectionFormat: 'multi'
        },
        'feedTypes': {
          value: opts['feedTypes'],
          collectionFormat: 'multi'
        },
        'processingStatuses': {
          value: opts['processingStatuses'],
          collectionFormat: 'multi'
        },
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = [];
      var accepts = ['application/json'];
      var returnType = GetMwsFeedsSubmissionsResponse;

      return this.apiClient.callApi(
        '/mws/feeds/submissions', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the getMwsFeedsSubmissionsResult operation.
     * @callback module:api/MwsApi~getMwsFeedsSubmissionsResultCallback
     * @param {String} error Error message, if any.
     * @param {module:model/GetMwsFeedsSubmissionsResultResponse} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Get the feed processing report
     * Returns the feed processing report and the Content-MD5 header
     * @param {String} feedSubmissionId 
     * @param {module:api/MwsApi~getMwsFeedsSubmissionsResultCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/GetMwsFeedsSubmissionsResultResponse}
     */
    this.getMwsFeedsSubmissionsResult = function(feedSubmissionId, callback) {
      var postBody = null;

      // verify the required parameter 'feedSubmissionId' is set
      if (feedSubmissionId === undefined || feedSubmissionId === null) {
        throw new Error("Missing the required parameter 'feedSubmissionId' when calling getMwsFeedsSubmissionsResult");
      }


      var pathParams = {
        'feedSubmissionId': feedSubmissionId
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = [];
      var accepts = ['application/json'];
      var returnType = GetMwsFeedsSubmissionsResultResponse;

      return this.apiClient.callApi(
        '/mws/feeds/submissions/{feedSubmissionId}/result', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the getMwsStatus operation.
     * @callback module:api/MwsApi~getMwsStatusCallback
     * @param {String} error Error message, if any.
     * @param {module:model/GetMwsStatusResponse} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Get Amazon MWS API status
     * Return Amazon MWS API status (GREEN/YELLOW/RED)
     * @param {module:api/MwsApi~getMwsStatusCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/GetMwsStatusResponse}
     */
    this.getMwsStatus = function(callback) {
      var postBody = null;


      var pathParams = {
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = [];
      var accepts = ['application/json'];
      var returnType = GetMwsStatusResponse;

      return this.apiClient.callApi(
        '/mws/status', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the postSubmitFeed operation.
     * @callback module:api/MwsApi~postSubmitFeedCallback
     * @param {String} error Error message, if any.
     * @param {module:model/PostSubmitFeedResponse} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Post feed with a flat file
     * Uploads a feed for processing by Amazon MWS
     * @param {File} file file: xxx.txt / content_type: text/tab-separated-values
     * @param {module:api/MwsApi~postSubmitFeedCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/PostSubmitFeedResponse}
     */
    this.postSubmitFeed = function(file, callback) {
      var postBody = null;

      // verify the required parameter 'file' is set
      if (file === undefined || file === null) {
        throw new Error("Missing the required parameter 'file' when calling postSubmitFeed");
      }


      var pathParams = {
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
        'file': file
      };

      var authNames = [];
      var contentTypes = ['multipart/form-data'];
      var accepts = ['application/json'];
      var returnType = PostSubmitFeedResponse;

      return this.apiClient.callApi(
        '/mws/feeds/submit', 'POST',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }
  };

  return exports;
}));
